/*
  Copyright (C) 2009 SWOAG Technology <www.swoag.com>

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation, version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA
  02110-1301  USA

  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  LIMOX OpenMAX-IL helper routines.

  REVISION:

    1) initial creation. ----------------------------------------- 2009-09-19 MG
*/

#include "limoa-log.h"
#include "common-be.h"

const char * omxil_state_name (int state)
{
    switch (state)
    {
    case OMX_StateInvalid :
        return "OMX_StateInvalid";

    case OMX_StateLoaded :
        return "OMX_StateLoaded";

    case OMX_StateIdle :
        return "OMX_StateIdle";

    case OMX_StateExecuting :
        return "OMX_StateExecuting";

    case OMX_StatePause :
        return "OMX_StatePause";

    case OMX_StateWaitForResources :
        return "OMX_StateWaitForResources";

    default :
        break;
    }
    return "Unknown State, error?";
}
