/*
  Copyright (C) 2009 SWOAG Technology <www.swoag.com>

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation, version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA
  02110-1301  USA

  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  LIMOX IPC packet parser routine.

  REVISION:

    1) initial creation. ----------------------------------------- 2009-09-11 MG
*/

#include "limoa-log.h"
#include "limipc.h"
#include "limthread.h"
#include "limmemory.h"
#include "limqlist.h"
#include "OpenMAXAL.h"
#include "ox-session.h"
#include "engine-be.h"

int engine_parse_packet (
    ox_session_t * ox,
    ipc_packet_t * rqst,
    ipc_packet_t * rsps)
{
    switch (rqst->header.id.value)
    {
    case OX_RQST_ENGINE_PING :
        rsps->header.bytes = 0;
        break;

    default :
        LIMWARN("unkown engine message, segment: %d, id: %d\n",
               MSG_SEGMENT(rqst->header.id.value),
               MSG_ID(rqst->header.id.value));
        rsps->header.bytes = 0;
        break;
    }
    return 0;
}
