/*
  Copyright (C) 2009 SWOAG Technology <www.swoag.com>

  This library is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the Free
  Software Foundation; either version 2.1 of the License, or (at your option)
  any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this library; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA
  02110-1301  USA

  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  OpenMAX AL engine error code.

  REVISION:

    1) initial creation. ----------------------------------------- 2009-08-31 MG
*/

#include "limoa-log.h"
#include "OpenMAXAL.h"

const char * xa_error_string (XAresult res)
{
    switch (res)
    {
    case XA_RESULT_SUCCESS :
        return "XA_RESULT_SUCCESS";

    case XA_RESULT_PRECONDITIONS_VIOLATED :
        return "XA_RESULT_PRECONDITIONS_VIOLATED";

    case XA_RESULT_PARAMETER_INVALID :
        return "XA_RESULT_PARAMETER_INVALID";

    case XA_RESULT_MEMORY_FAILURE :
        return "XA_RESULT_MEMORY_FAILURE";

    case XA_RESULT_RESOURCE_ERROR :
        return "XA_RESULT_RESOURCE_ERROR";

    case XA_RESULT_RESOURCE_LOST :
        return "XA_RESULT_RESOURCE_LOST";

    case XA_RESULT_IO_ERROR :
        return "XA_RESULT_IO_ERROR";

    case XA_RESULT_BUFFER_INSUFFICIENT :
        return "XA_RESULT_BUFFER_INSUFFICIENT";

    case XA_RESULT_CONTENT_CORRUPTED :
        return "XA_RESULT_CONTENT_CORRUPTED";

    case XA_RESULT_CONTENT_UNSUPPORTED :
        return "XA_RESULT_CONTENT_UNSUPPORTED";

    case XA_RESULT_CONTENT_NOT_FOUND :
        return "XA_RESULT_CONTENT_NOT_FOUND";

    case XA_RESULT_PERMISSION_DENIED :
        return "XA_RESULT_PERMISSION_DENIED";

    case XA_RESULT_FEATURE_UNSUPPORTED :
        return "XA_RESULT_FEATURE_UNSUPPORTED";

    case XA_RESULT_INTERNAL_ERROR :
        return "XA_RESULT_INTERNAL_ERROR";

    case XA_RESULT_OPERATION_ABORTED :
        return "XA_RESULT_OPERATION_ABORTED";

    case XA_RESULT_CONTROL_LOST :
        return "XA_RESULT_CONTROL_LOST";

    default :
    case XA_RESULT_UNKNOWN_ERROR :
        break;
    }
    return "XA_RESULT_UNKNOWN_ERROR";
}
