/*
  Copyright (C) 2009 SWOAG Technology <www.swoag.com>

  This library is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the Free
  Software Foundation; either version 2.1 of the License, or (at your option)
  any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this library; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA
  02110-1301  USA

  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  OpenMAX AL engine entry point implementation.

  REVISION:

    1) initial creation. ----------------------------------------- 2009-08-15 MG
*/

#include "limoa-log.h"
#include "limipc.h"
#include "limthread.h"
#include "OpenMAXAL.h"
#include "engine-fe.h"

#undef LIMDBG
#ifndef LIMDBG
#define LIMDBG(fmt, arg...)
#endif

XAresult XAAPIENTRY xaQueryNumSupportedEngineInterfaces (
    XAuint32 * pNumSupportedInterfaces)
{
    if (NULL == pNumSupportedInterfaces) return XA_RESULT_PARAMETER_INVALID;

    *pNumSupportedInterfaces = engine_query_num_supported_interfaces();

    return XA_RESULT_SUCCESS;
}

XAresult XAAPIENTRY xaQuerySupportedEngineInterfaces (
    XAuint32 index,
    XAInterfaceID * pInterfaceId)
{
    if (NULL == pInterfaceId) return XA_RESULT_PARAMETER_INVALID;

    return engine_query_interface_id(index, pInterfaceId);
}

XAresult XAAPIENTRY xaCreateEngine (XAObjectItf * pEngine,
    XAuint32 numOptions,
    const XAEngineOption * pEngineOptions,
    XAuint32 numInterfaces,
    const XAInterfaceID * pInterfaceIds,
    const XAboolean * pInterfaceRequired)
{
    return engine_obj_create(pEngine, numOptions, pEngineOptions,
                             numInterfaces, pInterfaceIds,
                             pInterfaceRequired);
}
