/*
  Copyright (C) 2009 SWOAG Technology <www.swoag.com>

  This library is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the Free
  Software Foundation; either version 2.1 of the License, or (at your option)
  any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this library; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA
  02110-1301  USA

  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  OpenMAX AL engine interface test suite.

  REVISION:

    1) initial creation. ----------------------------------------- 2009-08-22 MG
*/

#include "stdio.h"
#include "stdlib.h"
#include "OpenMAXAL.h"

int main (int argc, char ** argv)
{
    XAObjectItf engine;
    XAEngineOption EngineOption[] = {
        (XAuint32) XA_ENGINEOPTION_THREADSAFE,
        (XAuint32) XA_BOOLEAN_TRUE};
    XAresult ret;
    XAuint32 tmp;
    XAInterfaceID itf_id;

    if (XA_RESULT_SUCCESS == xaQueryNumSupportedEngineInterfaces(&tmp))
    {
        printf("number of supported engine interfaces: %d\n", tmp);
        while (tmp--)
        {
            xaQuerySupportedEngineInterfaces(tmp, &itf_id);
            printf("interface ID[%d] = %p\n", tmp, itf_id);
        }
    }

    ret = xaCreateEngine(&engine,
                         1, EngineOption,
                         0, NULL, NULL);
    if (XA_RESULT_SUCCESS != ret)
    {
        printf("unable to create engine: %d\n", ret);
        exit(-1);
    }

    tmp = 5;
    while (tmp)
    {
        printf("%d\n", tmp--);
        sleep(1);
    }

    (*engine)->Destroy(engine);

    printf("engine test interface done.\n");
}
