/*
  Copyright (C) 2011 SWOAG Technology <www.swoag.com>

  This library is free software; you can redistribute it and/or modify it under
  the terms of the GNU Lesser General Public License as published by the Free
  Software Foundation; either version 2.1 of the License, or (at your option)
  any later version.

  This library is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
  details.

  You should have received a copy of the GNU Lesser General Public License
  along with this library; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA
  02110-1301  USA

  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  OpenMAX ffmpeg demuxer muxer wrapper.

  REVISION:

    1) initial creation. ----------------------------------------- 2011-03-10 MG
*/

#include "omx-ffmpeg.h"

static lthread_mutex_t avformat_mutex = LTHREAD_MUTEX_INITIALIZER;
static int avformat_inited = 0;
int omx_ffmpeg_mux_init (void)
{
    lthread_mutex_lock(&avformat_mutex);
    if (avformat_inited)
    {
        lthread_mutex_unlock(&avformat_mutex);
        return 0;
    } else avformat_inited = 1;
    lthread_mutex_unlock(&avformat_mutex);

    av_register_all();
    av_log_set_level(AV_LOG_QUIET);

    return 0;
}

